Up

# NSParagraphStyle

### Authors

Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

> NSParagraphStyle and NSMutableParagraphStyle hold paragraph style information NSTextTab holds information about a single tab stop

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSMutableParagraphStyle class
2. Software documentation for the NSParagraphStyle class
3. Software documentation for the NSTextTab class

# Software documentation for the NSMutableParagraphStyle class

## NSMutableParagraphStyle : NSParagraphStyle

> Declared in:
>   AppKit/NSParagraphStyle.h

Availability: OpenStep
Description forthcoming.
Method summary

- -addTabStop:
- -removeTabStop:
- -setAlignment:
- -setBaseWritingDirection:
- -setFirstLineHeadIndent:
- -setHeadIndent:
- -setLineBreakMode:
- -setLineSpacing:
- -setMaximumLineHeight:
- -setMinimumLineHeight:
- -setParagraphSpacing:
- -setParagraphStyle:
- -setTabStops:
- -setTailIndent:

### addTabStop:

- (void) addTabStop: (NSTextTab*)anObject;
Availability: OpenStep
Description forthcoming.

### removeTabStop:

- (void) removeTabStop: (NSTextTab*)anObject;
Availability: OpenStep
Description forthcoming.

### setAlignment:

- (void) setAlignment: (NSTextAlignment)newAlignment;
Availability: OpenStep
Description forthcoming.

### setBaseWritingDirection:

- (void) setBaseWritingDirection: (NSWritingDirection)direction;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setFirstLineHeadIndent:

- (void) setFirstLineHeadIndent: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setHeadIndent:

- (void) setHeadIndent: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setLineBreakMode:

- (void) setLineBreakMode: (NSLineBreakMode)mode;
Availability: OpenStep
Description forthcoming.

### setLineSpacing:

- (void) setLineSpacing: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setMaximumLineHeight:

- (void) setMaximumLineHeight: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setMinimumLineHeight:

- (void) setMinimumLineHeight: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setParagraphSpacing:

- (void) setParagraphSpacing: (float)aFloat;
Availability: OpenStep
Description forthcoming.

### setParagraphStyle:

- (void) setParagraphStyle: (NSParagraphStyle*)obj;
Availability: OpenStep
Description forthcoming.

### setTabStops:

- (void) setTabStops: (NSArray*)array;
Availability: OpenStep
Description forthcoming.

### setTailIndent:

- (void) setTailIndent: (float)aFloat;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSParagraphStyle class

## NSParagraphStyle : NSObject

> Declared in:
>   AppKit/NSParagraphStyle.h

> Conforms to:
>   NSCopying
>   NSMutableCopying
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +defaultParagraphStyle
- +defaultWritingDirectionForLanguage:
- -alignment
- -baseWritingDirection
- -firstLineHeadIndent
- -headIndent
- -lineBreakMode
- -lineSpacing
- -maximumLineHeight
- -minimumLineHeight
- -paragraphSpacing
- -tabStops
- -tailIndent

### defaultParagraphStyle

+ (NSParagraphStyle*) defaultParagraphStyle;
Availability: OpenStep
Description forthcoming.

### defaultWritingDirectionForLanguage:

+ (NSWritingDirection) defaultWritingDirectionForLanguage: (NSString*)language;
Availability: MacOS-X 10.0.0
Description forthcoming.

### alignment

- (NSTextAlignment) alignment;
Availability: OpenStep
Description forthcoming.

### baseWritingDirection

- (NSWritingDirection) baseWritingDirection;
Availability: MacOS-X 10.0.0
Description forthcoming.

### firstLineHeadIndent

- (float) firstLineHeadIndent;
Availability: OpenStep
Description forthcoming.

### headIndent

- (float) headIndent;
Availability: OpenStep
Description forthcoming.

### lineBreakMode

- (NSLineBreakMode) lineBreakMode;
Availability: OpenStep
Description forthcoming.

### lineSpacing

- (float) lineSpacing;
Availability: OpenStep
Description forthcoming.

### maximumLineHeight

- (float) maximumLineHeight;
Availability: OpenStep
Description forthcoming.

### minimumLineHeight

- (float) minimumLineHeight;
Availability: OpenStep
Description forthcoming.

### paragraphSpacing

- (float) paragraphSpacing;
Availability: OpenStep
Description forthcoming.

### tabStops

- (NSArray*) tabStops;
Availability: OpenStep
Description forthcoming.

### tailIndent

- (float) tailIndent;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSParagraphStyle Class

### _alignment

@protected NSTextAlignment _alignment;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _baseDirection

@protected NSWritingDirection _baseDirection;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _firstLineHeadIndent

@protected float _firstLineHeadIndent;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _headIndent

@protected float _headIndent;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _lineBreakMode

@protected NSLineBreakMode _lineBreakMode;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _lineSpacing

@protected float _lineSpacing;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maximumLineHeight

@protected float _maximumLineHeight;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minimumLineHeight

@protected float _minimumLineHeight;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _paragraphSpacing

@protected float _paragraphSpacing;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tabStops

@protected NSMutableArray* _tabStops;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tailIndent

@protected float _tailIndent;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSTextTab class

## NSTextTab : NSObject

> Declared in:
>   AppKit/NSParagraphStyle.h

> Conforms to:
>   NSCopying

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -initWithType:location:
- -location
- -tabStopType

### initWithType: location:

- (id) initWithType: (NSTextTabType)type location: (float)loc;
Availability: OpenStep
Description forthcoming.

### location

- (float) location;
Availability: OpenStep
Description forthcoming.

### tabStopType

- (NSTextTabType) tabStopType;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSTextTab Class

### _location

@protected float _location;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tabStopType

@protected NSTextTabType _tabStopType;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up